Skip to main content
`Ctrl`+`K`

# DMPlexSNESComputeResidualDS

Sums the local residual into vector `F` from the local input `X` using all pointwise functions with unique keys in the `PetscDS`

## Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMPlexSNESComputeResidualDS(DM dm, Vec X, Vec F, void *user)

## Input Parameters

- dm - The mesh

- X - Local solution

- user - The user context

## Output Parameter

- F - Local output vector

## Note

The residual is summed into `F`; the caller is responsible for using `VecZeroEntries()` or otherwise ensuring that any data in `F` is intentional.

## See Also

SNES: Nonlinear Solvers, `DM`, `DMPLEX`, `DMPlexComputeJacobianAction()`

## Level

developer

## Location

src/snes/utils/dmplexsnes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages